
Redmine - Defect #8770

Misleading 'Back' button on 'My Page' personalization screen
Status: Closed Start date: 2011-07-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.10 hour

Target version:    

Resolution:  Affected version:  

Description

I think, the button 'Back' must be 'Save' and class 'icon icon-cancel' must be 'icon icon-save'.

History

#1 - 2011-07-08 16:04 - Alex Shulgin

Denis Savitsky wrote:

I think, the button 'Back' must be 'Save' and class 'icon icon-cancel' must be 'icon icon-save'.

 There's no 'Back' button on /my/page.  You must be talking about /my/page_layout, and yes it would make sense to change it to read 'Save'.

#2 - 2011-07-08 17:09 - Denis Savitskiy

Like this:

  <div class="contextual">

    ..

    <%= link_to l(:button_save), {:action => 'page'}, :class => 'icon icon-save' %>

  </div>

#3 - 2011-07-09 16:14 - Etienne Massip

- Target version set to Candidate for next minor release

Indeed, it makes think of it as a Cancel button actually.

#4 - 2011-07-11 10:06 - Etienne Massip

- Subject changed from The button 'Back' on my page to Misleading 'Back' button on 'My Page' personalization screen

There should be two buttons : 'Apply' and 'Cancel'.

#5 - 2012-04-05 17:31 - Denis Savitskiy

Etienne Massip wrote:

There should be two buttons : 'Apply' and 'Cancel'.

 Is it implemented?

#6 - 2012-12-14 16:40 - Tobias Fischer

Denis Savitsky wrote:

Is it implemented?

 Not yet.

But +1 on this issue!

#7 - 2012-12-15 09:04 - Daniel Felix
Alex Shulgin wrote:

There's no 'Back' button on /my/page.  You must be talking about /my/page_layout, and yes it would make sense to change it to read 'Save'.

 Hi,

well I don't think, that it makes much sense to change this to save and/or cancel.

I checked the code, and there is no save action behind this button. My Page is automatically saved on each change (add, delete, order) on a widget.

In this context, the back button is pretty right.

Or do you want to have a save/cancel functionality. This means you can change something and still click on cancel and discard your changes?

Best regards,

Daniel

#8 - 2012-12-15 14:31 - Daniel Felix

- File cancel_my_page_v0.1.diff added

Hi there,

I changed my page based on r11000. See attached patched.

I'm not sure if this is the best solution, but I tested it and it worked for me.

The MyPage now supports an edit state and some applied state. You can add some widgets and close it without loosing changes.

Please try it and give some feedback.

Best regards,

Daniel

#9 - 2013-01-27 16:23 - Julian S. Luipold

+1

#10 - 2013-03-18 10:44 - Daniel Felix

- Target version changed from Candidate for next minor release to 2.3.1

This could be also implemented by truncating the latest changes and renaming back to cancel.

Just the truncating of the latest changes could be a little bit tricky as every action currently cause a save.

#11 - 2013-05-01 14:45 - Jean-Philippe Lang

- Target version changed from 2.3.1 to Candidate for next major release

I think that the Cancel option is a bit overkill and I don't like storing temporary data in user preferences so much. The cancel option used to exist

(layout was stored in session) but it was removed in r3194. I don't know if it's worth restoring it.

#12 - 2014-11-30 12:27 - Denis Savitskiy

Daniel Felix wrote:

This could be also implemented by truncating the latest changes and renaming back to cancel.

Just the truncating of the latest changes could be a little bit tricky as every action currently cause a save.

 It's not worth it, i think. The main idea of this issue was in meaning of "back" button, that it is not clear, what is going to happen. Will the data be saved

or not?

#13 - 2016-08-12 10:08 - Anonymous

+1

Several of our users have also complained about the misleading name of the "back" button. "Apply" or simply "OK" / "Done" would be much more

fitting.

#14 - 2017-02-27 21:11 - Marius BĂLTEANU

Same issue in our company too.

"Apply" suggests that without pressing it, your changes won't be saved.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11000
https://www.redmine.org/projects/redmine/repository/svn/revisions/3194


What about "Close" (which already exists in the translations)?

#15 - 2017-03-09 21:14 - Marius BĂLTEANU

My page personalization was removed in #25297. This issue can be closed.

#16 - 2017-03-09 21:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Files

cancel_my_page_v0.1.diff 6.99 KB 2012-12-15 Daniel Felix
